- Home
- API Enriched
- Observability
- observability
- Replace DNS Monitor.
Replace DNS Monitor.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/v1_dns_monitors/example';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"metadata":{"annotations":{},"description":"example","disable":true,"labels":{},"name":"example","namespace":"example"},"spec":{"domain":"example","external_sources":[{"aws":{"regions":["example"]},"f5xc":{"regions":["example"]}}],"health_policy":{"dynamic_threshold":{"eval_period":"EVAL_PERIOD_3_MINS","std_dev_val":"STD_DEV_VAL_3"},"dynamic_threshold_disabled":{},"static_max_threshold":{"eval_period":"EVAL_PERIOD_3_MINS","max_response_time":1},"static_max_threshold_disabled":{},"static_min_threshold":{"eval_period":"EVAL_PERIOD_3_MINS","min_response_time":1},"static_min_threshold_disabled":{}},"interval_12_hours":{},"interval_15_mins":{},"interval_1_day":{},"interval_1_hour":{},"interval_1_min":{},"interval_30_mins":{},"interval_30_secs":{},"interval_5_mins":{},"interval_6_hours":{},"lookup_timeout":1,"name_servers":[{"name_server":"example","port":1}],"on_failure_count":1,"on_failure_to_all":{},"on_failure_to_any":{},"protocol":"example","receive":"example","record_type":"example","source_critical_threshold":1}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/v1_dns_monitors/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "domain": "example", "external_sources": [ { "aws": { "regions": [ "example" ] }, "f5xc": { "regions": [ "example" ] } } ], "health_policy": { "dynamic_threshold": { "eval_period": "EVAL_PERIOD_3_MINS", "std_dev_val": "STD_DEV_VAL_3" }, "dynamic_threshold_disabled": {}, "static_max_threshold": { "eval_period": "EVAL_PERIOD_3_MINS", "max_response_time": 1 }, "static_max_threshold_disabled": {}, "static_min_threshold": { "eval_period": "EVAL_PERIOD_3_MINS", "min_response_time": 1 }, "static_min_threshold_disabled": {} }, "interval_12_hours": {}, "interval_15_mins": {}, "interval_1_day": {}, "interval_1_hour": {}, "interval_1_min": {}, "interval_30_mins": {}, "interval_30_secs": {}, "interval_5_mins": {}, "interval_6_hours": {}, "lookup_timeout": 1, "name_servers": [ { "name_server": "example", "port": 1 } ], "on_failure_count": 1, "on_failure_to_all": {}, "on_failure_to_any": {}, "protocol": "example", "receive": "example", "record_type": "example", "source_critical_threshold": 1 } }'Replace the contents of a DNS Monitor.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Name The configuration object to be replaced will be looked up by name.
Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘Replace’ RPC.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
object
Required: YES.
Internet facing monitor sources
Required: YES.
A location where a monitor runs.
object
object
A specific source location within AWS Required: YES.
object
A specific source location within F5 Distributed Cloud Required: YES.
object
object
object
object
The maximum response time value that must be exceeded before the monitor turns critical. Required: YES.
object
object
The minimum value that response time must fall below before the monitor turns critical. Required: YES.
object
object
object
object
object
object
object
object
object
object
The amount of time in milliseconds before the monitor considers a pending request to be a failure Required: YES.
Human-readable name for the resource
Custom nameserver to execute the monitor against.
object
IP address of the nameserver to execute the monitor against Required: YES.
Port of the nameserver to execute the monitor against.
The number of times a monitor must fail before the global monitor changes health Required: YES.
object
object
Required: YES.
The regex pattern that the monitor looks for in the returned resource. If the text string is returned, the monitor is healthy.
Required: YES.
The number of provider-regions a monitor must fail from before the global monitor changes health Required: YES.
Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example